#ifndef __SPECTRA_H__
#define __SPECTRA_H__

#include <string>
#include <vector>

#include "vector.h"
#include "spectra.h"

using namespace std;
class spectra
{
	private:
		vector<amirVector> r;
		vector<amirVector> g;
		vector<amirVector> b;
	public:
		spectra();
		spectra(string rfile,string gfile,string bfile);
		~spectra();
		
		const spectra& spectra::operator = (const spectra &rhs);
		
		void read_ch(string filename, int ch);
		void read(string rfile,string gfile,string bfile);
		
		void print_ch(int ch);
		void print();
		void scale(char, char, double val);
		
		double get(char ch, char xy, char id);
		
};

#endif




