#ifndef _VECTOR_H_
#define _VECTOR_H_

#include "matrix.h"

using namespace std;

class amirVector
{
public:
double x, y, z;

amirVector();
amirVector(double _x, double _y, double _z);
amirVector(const amirVector &copy);


~amirVector();


const amirVector& operator = (const amirVector &rhs);
amirVector operator + (const amirVector &rhs);
amirVector operator - (const amirVector &rhs);
amirVector operator += (const amirVector &rhs);

bool operator < (const amirVector &rhs);
void set(double _x, double _y, double _z);
double length();
void normalize();
void multMatrix(matrix multi);
void print();
void xyzTOrgb();



protected:
private:
};

#endif
